org.apache.struts2.views.xslt

## Class ProxyNodeAdapter

- java.lang.Object
- - org.apache.struts2.views.xslt.AbstractAdapterNode
  - - org.apache.struts2.views.xslt.ProxyNodeAdapter

- All Implemented Interfaces:
    AdapterNode, Node
  Direct Known Subclasses:
    ProxyAttrAdapter, ProxyElementAdapter, ProxyTextNodeAdapter

      public abstract class ProxyNodeAdapter
      extends AbstractAdapterNode

  ProxyNodeAdapter is a read-only delegating adapter for objects which already implement the Node interface. All methods are proxied to the underlying Node except getParent(), getNextSibling() and getPreviousSibling(), which are implemented by the abstract adapter node to work with the parent adapter.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyNodeAdapter(AdapterFactory factory, AdapterNode parent, Node value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedNodeMap` | `getAttributes()`
    `String` | `getLocalName()`
    `String` | `getNamespaceURI()`
    `String` | `getNodeName()`
    `short` | `getNodeType()`
    `String` | `getNodeValue()`
    `String` | `getPrefix()`
    `boolean` | `hasAttributes()`
    `boolean` | `hasChildNodes()`
    `boolean` | `isSupported(String s, String s1)`
    `protected Node` | `node()`
    `String` | `toString()`
    `protected NamedNodeMap` | `wrap(NamedNodeMap nnm)`
    `protected Node` | `wrap(Node node)`

    - ### Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode

      `appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParent, getParentNode, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyNodeAdapter

          public ProxyNodeAdapter(AdapterFactory factory,
                                  AdapterNode parent,
                                  Node value)

  - ### Method Detail

    - #### node

          protected Node node()

      Returns:
        the proxied Node value

    - #### wrap

          protected Node wrap(Node node)

      Parameters:
        `node` - the node
      Returns:
        adapter to wrap the proxied node.

    - #### wrap

          protected NamedNodeMap wrap(NamedNodeMap nnm)

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `Node`
      Overrides:
        `getNodeName` in class `AbstractAdapterNode`

    - #### getNodeValue

          public String getNodeValue()
                              throws DOMException

      Specified by:
        `getNodeValue` in interface `Node`
      Overrides:
        `getNodeValue` in class `AbstractAdapterNode`
      Throws:
        `DOMException`

    - #### getNodeType

          public short getNodeType()

      Specified by:
        `getNodeType` in interface `Node`
      Overrides:
        `getNodeType` in class `AbstractAdapterNode`

    - #### getAttributes

          public NamedNodeMap getAttributes()

      Specified by:
        `getAttributes` in interface `Node`
      Overrides:
        `getAttributes` in class `AbstractAdapterNode`

    - #### hasChildNodes

          public boolean hasChildNodes()

      Specified by:
        `hasChildNodes` in interface `Node`
      Overrides:
        `hasChildNodes` in class `AbstractAdapterNode`

    - #### isSupported

          public boolean isSupported(String s,
                                     String s1)

      Specified by:
        `isSupported` in interface `Node`
      Overrides:
        `isSupported` in class `AbstractAdapterNode`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `Node`
      Overrides:
        `getNamespaceURI` in class `AbstractAdapterNode`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `Node`
      Overrides:
        `getPrefix` in class `AbstractAdapterNode`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `Node`
      Overrides:
        `getLocalName` in class `AbstractAdapterNode`

    - #### hasAttributes

          public boolean hasAttributes()

      Specified by:
        `hasAttributes` in interface `Node`
      Overrides:
        `hasAttributes` in class `AbstractAdapterNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractAdapterNode`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.